#!/bin/bash

# We're going to run this in the MacTeX working directory...
WORK=`pwd`

export COPYFILE_DISABLE=true

if [[ -d asy-for-darwin ]]; then
	rm -R asy-for-darwin
fi

mkdir asy-for-darwin



if [[ -e RawCode/asy ]]; then

	cp RawCode/asy  asy-for-darwin/asy

	cd asy-for-darwin
	ln -s ../../texmf-dist/asymptote/GUI/xasy.py xasy
	cd ..
	
fi

cd asy-for-darwin
chgrp wheel *

files=`ls`
for f in $files; do
	if ! [[ -L $f ]] &&  [[ "$(file $f)" = "$f: Mach-O 64-bit executable x86_64" ]]; then
		codesign -s   "Developer ID Application: Richard Koch" --force --timestamp --options=runtime $f
	fi
done

cd ..

(cd  asy-for-darwin; tar cf - . ) > asy-for-darwin.tar

../xz --compress asy-for-darwin.tar


