#!/bin/bash

# We're going to run this in the MacTeX working directory...
WORK=`pwd`

export COPYFILE_DISABLE=true

if [[ -d lua-for-darwin ]]; then
	rm -R lua-for-darwin
fi

mkdir lua-for-darwin



if [[ -e RawCode/x86_64-apple-darwin17.7.0 ]]; then
	cp RawCode/x86_64-apple-darwin17.7.0/luahbtex  lua-for-darwin/luahbtex
	cp RawCode/x86_64-apple-darwin17.7.0/luajithbtex  lua-for-darwin/luajithbtex
	cp RawCode/x86_64-apple-darwin17.7.0/luatex  lua-for-darwin/luatex
	cp RawCode/x86_64-apple-darwin17.7.0/luajittex  lua-for-darwin/luajittex
fi

cd lua-for-darwin
chgrp wheel *

files=`ls`
for f in $files; do
	if ! [[ -L $f ]] &&  [[ "$(file $f)" = "$f: Mach-O 64-bit executable x86_64" ]]; then
		codesign -s   "Developer ID Application: Richard Koch" --force --timestamp --options=runtime --entitlements=${WORK}/luahbtex.entitlements $f
	fi
done

cd ..

(cd  lua-for-darwin; tar cf - . ) > lua-for-darwin.tar

../xz --compress lua-for-darwin.tar


