#!/bin/bash

######################################################
# Manual preparation before running this...
#
# SAVE ORIGINAL /usr/local AND MOVE IT OUT OF THE WAY
# mv /usr/local /usr/local.save
#
# Or just rename /usr/local/bin and /usr/local/share
#
# 
# Install Ghostscript. The non-binaries will become part of this package
# but the binary will be replaced by separately compiled binaries
# Don't install the Ghostscript fonts; the script below will supply them.
#
######################################################

# We're going to run this in the MacTeXDVD working directory...
WORK=`pwd`

echo "Removing old file tree at ${WORK}/root"
rm -rf ${WORK}/root

# Copy everything from /usr/local into our root
echo "Collecting files from /usr/local"

mkdir -p ${WORK}/root/usr/local/share/ghostscript/9.50/lib
mkdir -p ${WORK}/root/usr/local/lib

# Copy libgs binaries and make libgs links

cp ${WORK}/Binaries/libgs.dylib.9.50 ${WORK}/root/usr/local/share/ghostscript/9.50/lib/libgs.dylib.9.50
cd ${WORK}/root/usr/local/lib
ln -s /usr/local/share/ghostscript/9.50/lib/libgs.dylib.9.50 libgs.dylib
ln -s /usr/local/share/ghostscript/9.50/lib/libgs.dylib.9.50 libgs.9.dylib
cd ${WORK}

# chmod
echo "Changing permissions"
chmod -R a+r ${WORK}/root/usr
chown -R root  ${WORK}/root/usr
chgrp -R wheel  ${WORK}/root/usr
chmod 755 ${WORK}/root/usr


